Bungee - Proxy ⚗️PermanentEffects⚗️ - [1.8 ~ 1.17.X] - Let your players have permanent potion effects! 1.7.0.1

Let your players have permanent effects, even after death!

  1. The plugin doesn't seem to be working at all for me, my server was not able to load it and plugman recognizes it as an invalid plugin.
    I am using Paper Spigot 1.16.5 build 778.
    This is the error the server outputs when it tries to load the plugin:

    [23:07:43 ERROR]: Could not load 'plugins\PermanentEffects.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidPluginException: Cannot find main class `me.mrbast.pe.PermanentEffects'
    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:84) ~[patched_1.16.5.jar:git-Paper-778]
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:153) ~[patched_1.16.5.jar:git-Paper-778]
    at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:414) ~[patched_1.16.5.jar:git-Paper-778]
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:322) ~[patched_1.16.5.jar:git-Paper-778]
    at org.bukkit.craftbukkit.v1_16_R3.CraftServer.loadPlugins(CraftServer.java:393) ~[patched_1.16.5.jar:git-Paper-778]
    at net.minecraft.server.v1_16_R3.DedicatedServer.init(DedicatedServer.java:269) ~[patched_1.16.5.jar:git-Paper-778]
    at net.minecraft.server.v1_16_R3.MinecraftServer.w(MinecraftServer.java:1069) ~[patched_1.16.5.jar:git-Paper-778]
    at net.minecraft.server.v1_16_R3.MinecraftServer.lambda$a$0(MinecraftServer.java:291) ~[patched_1.16.5.jar:git-Paper-778]
    at java.lang.Thread.run(Unknown Source) [?:1.8.0_291]
    Caused by: java.lang.ClassNotFoundException: me.mrbast.pe.PermanentEffects
    at org.bukkit.plugin.java.PluginClassLoader.loadClass0(PluginClassLoader.java:155) ~[patched_1.16.5.jar:git-Paper-778]
    at org.bukkit.plugin.java.PluginClassLoader.loadClass(PluginClassLoader.java:114) ~[patched_1.16.5.jar:git-Paper-778]
    at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_291]
    at java.lang.Class.forName0(Native Method) ~[?:1.8.0_291]
    at java.lang.Class.forName(Unknown Source) ~[?:1.8.0_291]
    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:82) ~[patched_1.16.5.jar:git-Paper-778]
    ... 8 more

    Could you update the plugin? Thanks in advance.
     
  2. Blame on me... i'm so stupid... sorry for the inconvenience, updated!
     
  3. It's alright, thanks for the update!
     
  4. Plugin works well on 1.17 Spigot. Regarding the Lore and position of each potion in the GUI, is it possible for this to be customisable? I want to have it so the Lore can be unique to do some descriptions, as well as edit the generic Message file! Thanks :D
     
  5. Sure, adding HEX color and gradient too
     
  6. Awesome, thanks heaps! That works well. I noticed that the NOT_ENOUGH_MONEY_TO_BUY: Doesn't register in-game.
     
  7. Umh... what do you mean with "register in-game". It's works for me? can you send me a video / picture on discord, please. Bast#0448
     
  8. I'll send this when I finish work today! Sorry I didn't login yesterday, I was very busy!
     
  9. I think that the plugin doesn't work in 1.8. I have paperspigot 1.8.8 and java version 8

    1. [12:57:36] [Server thread/ERROR]: Could not load 'plugins\PermanentEffects.jar' in folder 'plugins'
    2. org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: me/mrbast/pe/PermanentEffect has been compiled by a more recent version of the Java Runtime (class file version 60.0), this version of the Java Runtime only recognizes class file versions up to 52.0
    3. at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:133) ~[Practice.jar:git-PaperSpigot-"4c7641d"]
    4. at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:331) ~[Practice.jar:git-PaperSpigot-"4c7641d"]
    5. at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:254) [Practice.jar:git-PaperSpigot-"4c7641d"]
    6. at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugins(CraftServer.java:293) [Practice.jar:git-PaperSpigot-"4c7641d"]
    7. at net.minecraft.server.v1_8_R3.DedicatedServer.init(DedicatedServer.java:202) [Practice.jar:git-PaperSpigot-"4c7641d"]
    8. at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:563) [Practice.jar:git-PaperSpigot-"4c7641d"]
    9. at java.lang.Thread.run(Unknown Source) [?:1.8.0_291]
    10. Caused by: java.lang.UnsupportedClassVersionError: me/mrbast/pe/PermanentEffect has been compiled by a more recent version of the Java Runtime (class file version 60.0), this version of the Java Runtime only recognizes class file versions up to 52.0
    11. at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.8.0_291]
    12. at java.lang.ClassLoader.defineClass(Unknown Source) ~[?:1.8.0_291]
    13. at java.security.SecureClassLoader.defineClass(Unknown Source) ~[?:1.8.0_291]
    14. at java.net.URLClassLoader.defineClass(Unknown Source) ~[?:1.8.0_291]
    15. at java.net.URLClassLoader.access$100(Unknown Source) ~[?:1.8.0_291]
    16. at java.net.URLClassLoader$1.run(Unknown Source) ~[?:1.8.0_291]
    17. at java.net.URLClassLoader$1.run(Unknown Source) ~[?:1.8.0_291]
    18. at java.security.AccessController.doPrivileged(Native Method) ~[?:1.8.0_291]
    19. at java.net.URLClassLoader.findClass(Unknown Source) ~[?:1.8.0_291]
    20. at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:102) ~[Practice.jar:git-PaperSpigot-"4c7641d"]
    21. at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:87) ~[Practice.jar:git-PaperSpigot-"4c7641d"]
    22. at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_291]
    23. at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_291]
    24. at java.lang.Class.forName0(Native Method) ~[?:1.8.0_291]
    25. at java.lang.Class.forName(Unknown Source) ~[?:1.8.0_291]
    26. at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:65) ~[Practice.jar:git-PaperSpigot-"4c7641d"]
    27. at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:129) ~[Practice.jar:git-PaperSpigot-"4c7641d"]
    28. ... 6 more


      It says I have to use java 11 but if I use java 11 paperspigot 1.8.8 will not work.
     
  10. It does not work with java 16?
     
  11. Sorry but i can't use java 16 with spigot 1.8.8
    I have to use java 8 but with java 8 this plugin doesn't work
     
    #15 Shadow88, Jul 17, 2021
    Last edited: Jul 17, 2021
  12. MrBast updated ⚗️PermanentEffects⚗️ - [1.8 ~ 1.17.X] - Let your players have permanent potion effects! with a new update entry:

    1.0.5 - Added permissions, new command, new feature

    Read the rest of this update entry...